<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.42.10.18
Name: Voorgeschiedenis
Description: Template CDA Section (prototype, direct afgeleid uit POCD_RM000040 MIF) + SDTC extensies
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000">
   <title>Voorgeschiedenis</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]]
Item: (Voorgeschiedenis)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]
Item: (Voorgeschiedenis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]"
         id="d42e24929-false-d481225e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']) &gt;= 1">(Voorgeschiedenis): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']) &lt;= 1">(Voorgeschiedenis): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="count(hl7:code[(@code = '11348-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Voorgeschiedenis): element hl7:code[(@code = '11348-0' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="count(hl7:code[(@code = '11348-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Voorgeschiedenis): element hl7:code[(@code = '11348-0' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Voorgeschiedenis): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Voorgeschiedenis): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(Voorgeschiedenis): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(Voorgeschiedenis): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']
Item: (Voorgeschiedenis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']"
         id="d42e24934-false-d481309e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Voorgeschiedenis): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.42.10.18')">(Voorgeschiedenis): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.42.10.18' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]/hl7:code[(@code = '11348-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Voorgeschiedenis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]/hl7:code[(@code = '11348-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e24939-false-d481324e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Voorgeschiedenis): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="@nullFlavor or (@code='11348-0' and @codeSystem='2.16.840.1.113883.6.1')">(Voorgeschiedenis): de elementwaarde MOET een zijn van 'code '11348-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="@displayName">(Voorgeschiedenis): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]/hl7:title[not(@nullFlavor)]
Item: (Voorgeschiedenis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]/hl7:title[not(@nullFlavor)]"
         id="d42e24953-false-d481343e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Voorgeschiedenis): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]/hl7:text[not(@nullFlavor)]
Item: (Voorgeschiedenis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]/hl7:text[not(@nullFlavor)]"
         id="d42e24959-false-d481353e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(Voorgeschiedenis): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.25']]]
Item: (Voorgeschiedenis)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.18']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.25']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="string(@typeCode) = ('DRIV')">(Voorgeschiedenis): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Voorgeschiedenis): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
